<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
		<TargetFramework>netstandard2.0</TargetFramework>
		<IsRoslynComponent>true</IsRoslynComponent>
		<NoPackageAnalysis>true</NoPackageAnalysis>
		<ImportDirectoryBuildProps>false</ImportDirectoryBuildProps>
		<BaseOutputPath>bin</BaseOutputPath>
		<IncludeBuildOutput>false</IncludeBuildOutput>
		<LangVersion>latest</LangVersion>
		<EnforceExtendedAnalyzerRules>true</EnforceExtendedAnalyzerRules>
		<EmitCompilerGeneratedFiles>true</EmitCompilerGeneratedFiles>
	</PropertyGroup>
	<ItemGroup>
		<PackageReference Include="Microsoft.CodeAnalysis.Analyzers" Version="3.11.0" PrivateAssets="all" />
		<PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.11.0" PrivateAssets="all" />
	</ItemGroup>
	<ItemGroup>
	  <ProjectReference Include="..\..\shared\JiShe.CollectBus.Analyzers.Shared\JiShe.CollectBus.Analyzers.Shared.csproj" />
	</ItemGroup> 
</Project>
